import { database, FirebaseError } from 'firebase';
import { LoadingHook } from '../util';
export declare type ListHook = LoadingHook<database.DataSnapshot[], FirebaseError>;
export declare type ListKeysHook = LoadingHook<string[], FirebaseError>;
export declare type ListValsHook<T> = LoadingHook<T[], FirebaseError>;
export declare const useList: (query?: database.Query | null | undefined) => [database.DataSnapshot[] | undefined, boolean, FirebaseError | undefined];
export declare const useListKeys: (query?: database.Query | null | undefined) => [string[] | undefined, boolean, FirebaseError | undefined];
export declare const useListVals: <T>(query?: database.Query | null | undefined, options?: {
    keyField?: string | undefined;
} | undefined) => [T[] | undefined, boolean, FirebaseError | undefined];
